<template>
  <v-container class="pb-0">
    <v-row no-gutters>
      <v-col>
        <h1 class="ml-8">
          {{ $t(headerTextI18nId) }}
        </h1>
      </v-col>
    </v-row>
  </v-container>

  <slot />

  <v-container>
    <v-row>
      <v-col class="text-left ml-2">
        <v-btn variant="elevated" to="/">
          <icon-with-text icon="arrow-left" size="large">
            {{ $t("functionPage.backHomeButton") }}
          </icon-with-text>
        </v-btn>
      </v-col>
      <v-col v-if="showStartOverButton" class="text-right mr-2">
        <v-btn variant="elevated" @click="startOverFunction">
          <icon-with-text icon="rotate" size="large">
            {{ $t("functionPage.startOverButton") }}
          </icon-with-text>
        </v-btn>
      </v-col>
    </v-row>
  </v-container>
</template>
<script lang="ts">
import { defineComponent } from "vue";
import IconWithText from "@/components/IconWithText.vue";

export default defineComponent({
  components: { IconWithText },
  props: {
    headerTextI18nId: {
      type: String,
      required: true,
    },
    showStartOverButton: {
      type: Boolean,
      default: false,
    },
    startOverFunction: {
      type: Function,
      default: null,
    },
  },
});
</script>
